import type { EventBusEvents, RemoteBrowserCreateClientSettings } from "./types";
export declare function createClient({ instanceURN, iframeSource, ...settings }: RemoteBrowserCreateClientSettings): {
    attach(el: any): void;
    destroy(): void;
    on: <E extends keyof EventBusEvents, D extends EventBusEvents[E]>(eventName: E, handler: (arg: D) => void | Promise<void>) => void;
    off: <E_1 extends keyof EventBusEvents, D_1 extends EventBusEvents[E_1]>(eventName: E_1, handler: (arg: D_1) => void | Promise<void>) => void;
    openInCurrentTab(url: string): void;
    openInNewTab(url: string): void;
    startRecording(): void;
    stopRecording(): void;
};
